"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionCardStamps = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _utils = require("../../utils");
var _svgs = require("./../../svgs");
var _CoalitionStampsProgress = require("../CoalitionStampsProgress");
require("./CoalitionCardStamps.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionCardStamps = _ref => {
  let {
    id,
    logo,
    product,
    title,
    used,
    needed,
    availableToRedeem,
    showModal,
    buttonRef
  } = _ref;
  const ready = availableToRedeem >= 1 || used >= needed;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps",
    ref: buttonRef,
    onClick: () => showModal(id)
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-main ".concat(ready ? "b-success" : ""),
    style: {
      borderBottom: "none"
    }
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-main-product"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: product,
    alt: "product"
  })), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-main-title"
  }, /*#__PURE__*/_react.default.createElement("span", null, title))), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-footer ".concat(ready ? "b-success bg-success" : ""),
    style: {
      borderTop: "none"
    }
  }, /*#__PURE__*/_react.default.createElement(CommonFoot, {
    ready: ready,
    logo: logo
  }), ready ? /*#__PURE__*/_react.default.createElement(Redeemable, null) : /*#__PURE__*/_react.default.createElement(NotRedeemable, {
    used: used,
    needed: needed
  })));
};
exports.CoalitionCardStamps = CoalitionCardStamps;
const CommonFoot = _ref2 => {
  let {
    ready,
    logo
  } = _ref2;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "static-space"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-footer-logo"
  }, /*#__PURE__*/_react.default.createElement("img", {
    src: logo,
    alt: "logo"
  })), ready ? /*#__PURE__*/_react.default.createElement(_svgs.SplitterSuccess, null) : /*#__PURE__*/_react.default.createElement(_svgs.SplitterNormal, null));
};
const Redeemable = () => /*#__PURE__*/_react.default.createElement("div", {
  className: "coalition-card-stamps-footer-redeemable"
}, "\xA1Ya puedes cambiar tus sellos!");
const NotRedeemable = _ref3 => {
  let {
    used,
    needed
  } = _ref3;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "dinamyc-space"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-footer-dots"
  }, /*#__PURE__*/_react.default.createElement(_CoalitionStampsProgress.CoalitionStampsProgress, {
    used: used,
    needed: needed
  })), /*#__PURE__*/_react.default.createElement(CounterStamps, {
    used: used,
    needed: needed
  }));
};
const CounterStamps = _ref4 => {
  let {
    used,
    needed
  } = _ref4;
  const balance = "".concat(used, "/").concat(needed);
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-card-stamps-footer-counter"
  }, balance);
};
CoalitionCardStamps.propTypes = {
  id: _propTypes.PropTypes.number.isRequired,
  logo: _propTypes.PropTypes.string,
  product: _propTypes.PropTypes.string,
  title: _propTypes.PropTypes.string,
  used: _propTypes.PropTypes.number,
  needed: _propTypes.PropTypes.number,
  availableToRedeem: _propTypes.PropTypes.number
};
const defProd = (0, _utils.isPortable)() ? "88" : "100";
CoalitionCardStamps.defaultProps = {
  id: 123,
  logo: (0, _utils.generateImg)("30x30", "L"),
  product: (0, _utils.generateImg)("".concat(defProd, "x110"), "Product"),
  title: "En la compra de 10 cafés Andatti, te regalamos 2",
  used: 3,
  needed: 5,
  availableToRedeem: 0
};