"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CoalitionSlide = void 0;
require("core-js/modules/es.symbol.description.js");
var _react = _interopRequireDefault(require("react"));
var _propTypes = require("prop-types");
var _utils = require("../../utils");
var _CoalitionButton = require("../CoalitionButton");
require("./CoalitionSlide.css");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const CoalitionSlide = _ref => {
  let {
    title,
    titleStyle,
    description,
    descriptionStyle,
    children,
    buttonLabel,
    buttonStyle,
    valid,
    submitFunction
  } = _ref;
  return /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide"
  }, /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide-title",
    style: titleStyle
  }, title), /*#__PURE__*/_react.default.createElement("div", {
    className: "coalition-slide-description",
    style: descriptionStyle
  }, description), /*#__PURE__*/_react.default.createElement("div", null, children), /*#__PURE__*/_react.default.createElement(_CoalitionButton.CoalitionButton, {
    label: buttonLabel,
    style: buttonStyle,
    backgroundColor: (0, _utils.isDisabled)(valid),
    disabled: valid,
    onClickEvent: submitFunction
  }));
};
exports.CoalitionSlide = CoalitionSlide;
CoalitionSlide.propTypes = {
  title: _propTypes.PropTypes.string,
  titleStyle: _propTypes.PropTypes.object,
  description: _propTypes.PropTypes.string,
  descriptionStyle: _propTypes.PropTypes.object,
  children: _propTypes.PropTypes.array,
  buttonLabel: _propTypes.PropTypes.string,
  buttonStyle: _propTypes.PropTypes.object,
  valid: _propTypes.PropTypes.bool,
  submitFunction: _propTypes.PropTypes.func
};
CoalitionSlide.defaultProps = {
  title: "CoalitionSlide Title",
  titleStyle: {
    backgroundColor: "red"
  },
  description: "CoalitionSlide Description",
  descriptionStyle: {
    backgroundColor: "green"
  },
  children: [/*#__PURE__*/_react.default.createElement("div", {
    key: "CoalitionSlide"
  }, "CoalitionSlide Children")],
  buttonLabel: "Accept",
  buttonStyle: {
    color: "purple"
  },
  valid: true,
  submitFunction: e => (0, _utils.noFunc)("CoalitionSlide", e)
};